Apply by doing:
        cd /usr/src
        patch -p0 < 011_pfsync.patch

Then build and install a new kernel.

Index: sys/net/if_pfsync.c
===================================================================
RCS file: /cvs/src/sys/net/if_pfsync.c,v
retrieving revision 1.127
retrieving revision 1.127.4.1
diff -u -r1.127 -r1.127.4.1
--- sys/net/if_pfsync.c	17 Jun 2009 04:24:02 -0000	1.127
+++ sys/net/if_pfsync.c	14 May 2010 09:08:34 -0000	1.127.4.1
@@ -1,4 +1,4 @@
-/*	$OpenBSD: if_pfsync.c,v 1.127 2009/06/17 04:24:02 dlg Exp $	*/
+/*	$OpenBSD: if_pfsync.c,v 1.127.4.1 2010/05/14 09:08:34 stephan Exp $	*/
 
 /*
  * Copyright (c) 2002 Michael Shalayeff
@@ -1522,6 +1522,7 @@
 {
 	struct pfsync_upd_c *up = buf;
 
+	bzero(up, sizeof(*up));
 	up->id = st->id;
 	pf_state_peer_hton(&st->src, &up->src);
 	pf_state_peer_hton(&st->dst, &up->dst);
@@ -1533,8 +1534,6 @@
 	else
 		up->expire = htonl(up->expire - time_second);
 	up->timeout = st->timeout;
-
-	bzero(up->_pad, sizeof(up->_pad)); /* XXX */
 }
 
 void
